> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runaether.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Dismiss notification



## OpenAPI

````yaml api-reference/openapi.account.json POST /user/notifications/{id}/dismiss
openapi: 3.1.0
info:
  title: Aether Account & Integrations API
  version: 0.1.0
  description: >-
    Account, billing, and integration-management endpoints used by the Aether
    web app and CLI. Root-mounted; NOT part of the versioned /v1 contract.
servers:
  - url: https://api.runaether.dev
security:
  - bearerAuth: []
paths:
  /user/notifications/{id}/dismiss:
    post:
      tags:
        - notifications
      summary: Dismiss notification
      operationId: dismissNotification
      parameters:
        - in: path
          name: id
          required: true
          schema:
            minLength: 1
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                additionalProperties: false
                properties:
                  notification:
                    $ref: '#/components/schemas/UserNotification'
                required:
                  - notification
                type: object
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Entity
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Internal Server Error
components:
  schemas:
    UserNotification:
      discriminator:
        mapping:
          plan_requested:
            $ref: '#/components/schemas/PlanRequestedNotification'
          question_requested:
            $ref: '#/components/schemas/QuestionRequestedNotification'
          task_failed:
            $ref: '#/components/schemas/TaskFailedNotification'
          task_response_ready:
            $ref: '#/components/schemas/TaskResponseReadyNotification'
        propertyName: kind
      oneOf:
        - $ref: '#/components/schemas/QuestionRequestedNotification'
        - $ref: '#/components/schemas/PlanRequestedNotification'
        - $ref: '#/components/schemas/TaskResponseReadyNotification'
        - $ref: '#/components/schemas/TaskFailedNotification'
    ErrorResponse:
      additionalProperties: false
      properties:
        code:
          type: string
        error:
          minLength: 1
          type: string
      required:
        - error
      type: object
    PlanRequestedNotification:
      additionalProperties: false
      properties:
        created_at:
          format: date-time
          type: string
        dismissed_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
        id:
          minLength: 1
          type: string
        kind:
          enum:
            - plan_requested
          type: string
        occurred_at:
          format: date-time
          type: string
        payload:
          $ref: '#/components/schemas/PlanRequestedNotificationPayload'
        pr_url:
          anyOf:
            - type: string
            - type: 'null'
        preview_text:
          anyOf:
            - type: string
            - type: 'null'
        project_name:
          type: string
        project_repo_url:
          anyOf:
            - type: string
            - type: 'null'
        resolved_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
        status:
          enum:
            - active
            - resolved
            - dismissed
          type: string
        task:
          $ref: '#/components/schemas/NotificationTask'
        title:
          type: string
        updated_at:
          format: date-time
          type: string
      required:
        - id
        - kind
        - status
        - task
        - title
        - payload
        - occurred_at
        - created_at
        - updated_at
      type: object
    QuestionRequestedNotification:
      additionalProperties: false
      properties:
        created_at:
          format: date-time
          type: string
        dismissed_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
        id:
          minLength: 1
          type: string
        kind:
          enum:
            - question_requested
          type: string
        occurred_at:
          format: date-time
          type: string
        payload:
          $ref: '#/components/schemas/QuestionRequestedNotificationPayload'
        pr_url:
          anyOf:
            - type: string
            - type: 'null'
        preview_text:
          anyOf:
            - type: string
            - type: 'null'
        project_name:
          type: string
        project_repo_url:
          anyOf:
            - type: string
            - type: 'null'
        resolved_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
        status:
          enum:
            - active
            - resolved
            - dismissed
          type: string
        task:
          $ref: '#/components/schemas/NotificationTask'
        title:
          type: string
        updated_at:
          format: date-time
          type: string
      required:
        - id
        - kind
        - status
        - task
        - title
        - payload
        - occurred_at
        - created_at
        - updated_at
      type: object
    TaskFailedNotification:
      additionalProperties: false
      properties:
        created_at:
          format: date-time
          type: string
        dismissed_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
        id:
          minLength: 1
          type: string
        kind:
          enum:
            - task_failed
          type: string
        occurred_at:
          format: date-time
          type: string
        payload:
          $ref: '#/components/schemas/TaskResultNotificationPayload'
        pr_url:
          anyOf:
            - type: string
            - type: 'null'
        preview_text:
          anyOf:
            - type: string
            - type: 'null'
        project_name:
          type: string
        project_repo_url:
          anyOf:
            - type: string
            - type: 'null'
        resolved_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
        status:
          enum:
            - active
            - resolved
            - dismissed
          type: string
        task:
          $ref: '#/components/schemas/NotificationTask'
        title:
          type: string
        updated_at:
          format: date-time
          type: string
      required:
        - id
        - kind
        - status
        - task
        - title
        - payload
        - occurred_at
        - created_at
        - updated_at
      type: object
    TaskResponseReadyNotification:
      additionalProperties: false
      properties:
        created_at:
          format: date-time
          type: string
        dismissed_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
        id:
          minLength: 1
          type: string
        kind:
          enum:
            - task_response_ready
          type: string
        occurred_at:
          format: date-time
          type: string
        payload:
          $ref: '#/components/schemas/TaskResultNotificationPayload'
        pr_url:
          anyOf:
            - type: string
            - type: 'null'
        preview_text:
          anyOf:
            - type: string
            - type: 'null'
        project_name:
          type: string
        project_repo_url:
          anyOf:
            - type: string
            - type: 'null'
        resolved_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
        status:
          enum:
            - active
            - resolved
            - dismissed
          type: string
        task:
          $ref: '#/components/schemas/NotificationTask'
        title:
          type: string
        updated_at:
          format: date-time
          type: string
      required:
        - id
        - kind
        - status
        - task
        - title
        - payload
        - occurred_at
        - created_at
        - updated_at
      type: object
    PlanRequestedNotificationPayload:
      additionalProperties: false
      properties:
        input:
          additionalProperties: true
          properties:
            plan:
              type: string
            summary:
              type: string
          required:
            - summary
            - plan
          type: object
        plan:
          type: string
        summary:
          type: string
        tool_id:
          minLength: 1
          type: string
      required:
        - tool_id
        - summary
        - plan
        - input
      type: object
    NotificationTask:
      additionalProperties: false
      properties:
        id:
          minLength: 1
          type: string
        name:
          type: string
        project_id:
          minLength: 1
          type: string
        workspace_id:
          type:
            - string
            - 'null'
      required:
        - id
        - project_id
      type: object
    QuestionRequestedNotificationPayload:
      additionalProperties: false
      properties:
        input:
          additionalProperties: true
          properties:
            questions:
              items:
                $ref: '#/components/schemas/AskUserQuestion'
              type: array
          required:
            - questions
          type: object
        tool_id:
          minLength: 1
          type: string
      required:
        - tool_id
        - input
      type: object
    TaskResultNotificationPayload:
      additionalProperties: false
      properties:
        message:
          type: string
        message_label:
          type: string
        message_timestamp:
          type:
            - string
            - 'null'
        task_status:
          enum:
            - awaiting_input
            - errored
          type: string
      required:
        - task_status
      type: object
    AskUserQuestion:
      additionalProperties: false
      properties:
        header:
          type: string
        id:
          type: string
        multiSelect:
          type:
            - boolean
            - 'null'
        options:
          items:
            $ref: '#/components/schemas/AskUserQuestionOption'
          type: array
        question:
          type: string
      required:
        - question
        - options
      type: object
    AskUserQuestionOption:
      additionalProperties: false
      properties:
        description:
          type: string
        label:
          type: string
        preview:
          type: string
      required:
        - label
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````